Seems latest updates have been put through but I cannot install DA for 4.24.1...Says it is not compatible.